Bug 1022584 - Review Request: qpid-qmf - The QPID Management Framework
Review Request: qpid-qmf - The QPID Management Framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 11:04 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-01 10:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2013-10-23 11:04:58 EDT
Spec URL: http://mcpierce.fedorapeople.org/rpms/qpid-qmf.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/qpid-qmf-0.24-10.src.rpm
Description: An extensible management framework layered on Qpid messaging.
Fedora Account System Username: mcpierce

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6090395
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-24 01:35:12 EDT
What Fedora and EPEL versions are being targetted?
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-24 23:19:34 EDT
0. Not critizing, just trying to understand. Why are those packages split out from qpid-cpp?

1. Those %globals at the top are probably not required, unless you're targetting EPEL5.

2. python-devel requires python, so BR:python is not necessary.

3. %defattr is not needed.

4. %clean section is not necessary, likewise empty %check.

5. Can you restructure the spec file to have normal structure: %package, %description, %prep, %build, %install, %post, %files...

6. Can you extend the %description a bit? "management" — for what?, etc.

7. Change BR: phyton-devel to python2-devel

8. Note: No known owner of /usr/share/doc/qpid-qmf-0.24

9. Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/qmf(qpid-cpp-
     client-devel), /usr/include/qmf/engine(qpid-cpp-client-devel)

Since there's a dependency on those packages anyway, maybe there's no need to own those directories.

10. Dist tag is missing.

qpid-qmf.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqmfengine.so
qpid-qmf.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqmfconsole.so
qpid-qmf.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqmf2.so
qpid-qmf.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqmf.so

11. qpid-qmf-devel requires pkgconfig. I think this can be filtered out:
%global __requires_exclude pkg-config

12. Docs ended up in a versioned directory:
/usr/share/doc/qpid-qmf-0.24/LICENSE
/usr/share/doc/qpid-qmf-0.24/NOTICE

That's it, for now.
Comment 3 Darryl L. Pierce 2013-10-25 07:56:38 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> What Fedora and EPEL versions are being targetted?

No EPEL, but for Fedora I'm going to target 21+ for the changes to both qpid-qmf and the existing qpid-cpp.
Comment 4 Darryl L. Pierce 2013-10-25 09:20:08 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> 0. Not critizing, just trying to understand. Why are those packages split
> out from qpid-cpp?

The QMF code is pretty much obsolete at this point, but there are still packages that depend on it. The current code is fairly stable, but will soon be moving to its own upstream source release that's independent of the Qpid code releases. So, rather than rebuilding the QMF packages each time Qpid releases, even though QMF hasn't changed at all, we'd like to make the QMF packages totally independent of the Qpid packages.

> 1. Those %globals at the top are probably not required, unless you're
> targetting EPEL5.

Good point. Removed.

> 2. python-devel requires python, so BR:python is not necessary.

Removed that, and also ruby.

> 3. %defattr is not needed.

Removed.
 
> 4. %clean section is not necessary, likewise empty %check.

Removed.
 
> 5. Can you restructure the spec file to have normal structure: %package,
> %description, %prep, %build, %install, %post, %files...

Well, the way it is now the sections for each subpackage are grouped together, making it easier to read all parts of each subpackage on a single screen. I'd rather keep it that way.
 
> 6. Can you extend the %description a bit? "management" — for what?, etc.

Done. I pulled the description from our project website.

> 7. Change BR: phyton-devel to python2-devel

Done

> 8. Note: No known owner of /usr/share/doc/qpid-qmf-0.24

Fixed.

> 9. Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/include/qmf(qpid-cpp-
>      client-devel), /usr/include/qmf/engine(qpid-cpp-client-devel)
> 
> Since there's a dependency on those packages anyway, maybe there's no need
> to own those directories.

When this package gets through review, those ownerships in qpid-cpp will go away: qpid-cpp-client-devel currently owns the qmf include direct, but that's being removed in an update, same with the qmf/engine directory.

> 10. Dist tag is missing.
> 
> qpid-qmf.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/libqmfengine.so
> qpid-qmf.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/libqmfconsole.so
> qpid-qmf.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqmf2.so
> qpid-qmf.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqmf.so

Fixed.

> 11. qpid-qmf-devel requires pkgconfig. I think this can be filtered out:
> %global __requires_exclude pkg-config

Done.

> 12. Docs ended up in a versioned directory:
> /usr/share/doc/qpid-qmf-0.24/LICENSE
> /usr/share/doc/qpid-qmf-0.24/NOTICE

Hrm, the global macro should only define a versioned directory if there wasn't already an existing version. Anyway, since I'm targeting releases where the macro is predefined, I've removed the global and the qpid-qmf package owns the directory.

Update SPEC:   http://mcpierce.fedorapeople.org/rpms/qpid-qmf.spec
Update SRPM:   http://mcpierce.fedorapeople.org/rpms/qpid-qmf-0.24-11.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6098174
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-10-25 18:44:58 EDT
1. > 10. Dist tag is missing.                                                                       
Still missing.                                                                                      
                                                                                                    
2. Requires:  qpid-cpp-client%{?_isa} = %{version}-%{release}                                       
Is this necessary? The dependency should be picked up automatically. Also, it ties this package to  
qpid-cpp-client, when you said that they should become independent.                                 
                                                                                                    
                                                                                                    
Rpmlint                                                                                             
-------                                                                                             
Checking: qpid-qmf-0.24-11.fc21.x86_64.rpm                                                          
          qpid-qmf-devel-0.24-11.fc21.x86_64.rpm                                                    
          qpid-qmf-0.24-11.src.rpm                                                                  
qpid-qmf.x86_64: W: spelling-error %description -l en_US scalability
qpid-qmf.x86_64: W: no-manual-page-for-binary qmf-toolqpid-qmf-devel.x86_64: W: no-documentation 
qpid-qmf-devel.x86_64: W: no-manual-page-for-binary qmf-gen
qpid-qmf.src: W: spelling-error %description -l en_US scalability
3 packages and 0 specfiles checked; 0 errors, 5 warnings.                                           
                                                                                                    
Mostly irrelevant, apart from the missing manpages.
I suggest using help2man to generate the missing manpages.

===== MUST items =====                                                                              

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     16 files have unknown license. Detailed output of licensecheck in
     /var/tmp/review-qpid-qmf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
Yes, but see note above.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
See below.

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
Builds in koji.

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libqmfengine.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libboost_system.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libboost_program_options.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libqpidclient.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libboost_system.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libboost_program_options.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libqpidtypes.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libboost_system.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libboost_program_options.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libqpidtypes.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libboost_system.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libboost_program_options.so.1.54.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libm.so.6


[!]: Package functions as described.
See below.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

There's something wrong with installation directories for python files:

% /usr/bin/qmf-gen

Traceback (most recent call last):
  File "/usr/bin/qmf-gen", line 23, in <module>
    from qmfgen.schema   import SchemaPackage, SchemaClass
ImportError: No module named qmfgen.schema

I see:
/usr/lib/python2.7/site-packages/qmfgen
/usr/lib/python2.7/site-packages/qmfgen/qmfgen
/usr/lib/python2.7/site-packages/qmfgen/qmfgen/__init__.py
...

and also 

/usr/lib64/python2.7/site-packages/_cqmf2.so
/usr/lib64/python2.7/site-packages/_cqpid.so
/usr/lib64/python2.7/site-packages/_qmfengine.so
/usr/lib64/python2.7/site-packages/cqmf2.py
/usr/lib64/python2.7/site-packages/cqmf2.pyc
/usr/lib64/python2.7/site-packages/cqmf2.pyo
/usr/lib64/python2.7/site-packages/cqpid.py
/usr/lib64/python2.7/site-packages/cqpid.pyc
/usr/lib64/python2.7/site-packages/cqpid.pyo
/usr/lib64/python2.7/site-packages/qmf
/usr/lib64/python2.7/site-packages/qmf.py
/usr/lib64/python2.7/site-packages/qmf.pyc
/usr/lib64/python2.7/site-packages/qmf.pyo
/usr/lib64/python2.7/site-packages/qmf/__init__.py
/usr/lib64/python2.7/site-packages/qmf/__init__.pyc
/usr/lib64/python2.7/site-packages/qmf/__init__.pyo
/usr/lib64/python2.7/site-packages/qmf/console.py
/usr/lib64/python2.7/site-packages/qmf/console.pyc
/usr/lib64/python2.7/site-packages/qmf/console.pyo
/usr/lib64/python2.7/site-packages/qmf2.py
/usr/lib64/python2.7/site-packages/qmf2.pyc
/usr/lib64/python2.7/site-packages/qmf2.pyo
/usr/lib64/python2.7/site-packages/qmfengine.py
/usr/lib64/python2.7/site-packages/qmfengine.pyc
/usr/lib64/python2.7/site-packages/qmfengine.pyo

So there's one level extra, and one level missing.
Comment 6 Darryl L. Pierce 2013-10-28 11:36:53 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> 1. > 10. Dist tag is missing.                                               
> 
> Still missing.                                                              

Hrm, though I'd added it. Fixed (definitely) now.

> 2. Requires:  qpid-cpp-client%{?_isa} = %{version}-%{release}               
> 
> Is this necessary?

Yes.

> The dependency should be picked up automatically. Also,
> it ties this package to  qpid-cpp-client, when you said
> that they should become independent.         

No, I said that at the source code level the Qpid team is separating the QMF codebase from the Qpid codebase; i.e., when a Qpid sources are released it's not going to contain QMF code. We want the packages separate, even though QMF will still have a dependency on what Qpid provides.

> Rpmlint                                                                     
> 
> -------                                                                     
> 
> Checking: qpid-qmf-0.24-11.fc21.x86_64.rpm                                  
> 
>           qpid-qmf-devel-0.24-11.fc21.x86_64.rpm                            
> 
>           qpid-qmf-0.24-11.src.rpm                                          
> 
> qpid-qmf.x86_64: W: spelling-error %description -l en_US scalability
> qpid-qmf.x86_64: W: no-manual-page-for-binary qmf-toolqpid-qmf-devel.x86_64:
> W: no-documentation 
> qpid-qmf-devel.x86_64: W: no-manual-page-for-binary qmf-gen
> qpid-qmf.src: W: spelling-error %description -l en_US scalability
> 3 packages and 0 specfiles checked; 0 errors, 5 warnings.                   
> 
>                                                                             
> 
> Mostly irrelevant, apart from the missing manpages.
> I suggest using help2man to generate the missing manpages.

I'll update the Cmake in the upstream code and add manpages there.

Updated spec:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf-0.24-12.fc19.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6107331
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-10-28 18:18:52 EDT
You didn't reply to the comments about python installation path.
I still see /usr/lib64/python2.7/site-packages/_cqmf2.so, etc, in python-qpid-qmf package. This is really bad, since it puts all those private and non-private names in the global python module namespace.
Comment 8 Darryl L. Pierce 2013-10-29 16:07:05 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> You didn't reply to the comments about python installation path.
> I still see /usr/lib64/python2.7/site-packages/_cqmf2.so, etc, in
> python-qpid-qmf package. This is really bad, since it puts all those private
> and non-private names in the global python module namespace.

Sorry, totally overlooked that, my bad.

This package review revealed a bug in our installation that I've fixed [1] and included in this updated package. So the installation for qmfgen is now fixed.

Regarding polluting the global namespace, I'm not sure how that's occurring with _cqmf2.so being in the root directory for site packages. Since you still have to specifically import the package, the code within does not wind up in an unnamed space. Instead, that shared library is loaded by the cqmf2.py file which requires the library be in the same directory.

Doing the following:

$ sudo yum whatprovides /usr/lib64/python2.7/site-packages/*.so

shows there are many, many other packages that are also deliver shared libraries in the root directory. So that doesn't seem to be a Bad Thing (tm). :D

[1] https://issues.apache.org/jira/browse/QPID-5273

Updated spec:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf-0.24-13.fc19.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6114003
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-10-29 20:16:22 EDT
(In reply to Darryl L. Pierce from comment #8)
> Regarding polluting the global namespace, I'm not sure how that's occurring
> with _cqmf2.so being in the root directory for site packages. Since you
> still have to specifically import the package, the code within does not wind
> up in an unnamed space. Instead, that shared library is loaded by the
> cqmf2.py file which requires the library be in the same directory.
> 
> Doing the following:
> 
> $ sudo yum whatprovides /usr/lib64/python2.7/site-packages/*.so
> 
> shows there are many, many other packages that are also deliver shared
> libraries in the root directory. So that doesn't seem to be a Bad Thing
> (tm). :D
I still think it's very ugly, and should be avoided. But it's an upstream issue, not something that is subject during package review, if the package actually works. Still I'd strongly suggest to move the modules under a common namespace at some point.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     16 files have unknown license. Detailed output of licensecheck in
     /home/zbyszek/fedora/1022584-qpid-qmf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qpid-qmf-0.24-13.fc19.x86_64.rpm
          qpid-qmf-devel-0.24-13.fc19.x86_64.rpm
          python-qpid-qmf-0.24-13.fc19.x86_64.rpm
          ruby-qpid-qmf-0.24-13.fc19.x86_64.rpm
          qpid-qmf-0.24-13.fc19.src.rpm
qpid-qmf.x86_64: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
qpid-qmf.x86_64: W: no-manual-page-for-binary qmf-tool
qpid-qmf-devel.x86_64: W: no-documentation
qpid-qmf-devel.x86_64: W: no-manual-page-for-binary qmf-gen
python-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/_qmfengine.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
python-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/_cqmf2.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
python-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/_cqpid.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
python-qpid-qmf.x86_64: W: no-documentation
python-qpid-qmf.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/qpidtoollibs/disp.py 0644L /usr/bin/env
Please remove the shebang line.

ruby-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/ruby/vendor_ruby/cqpid.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
ruby-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/ruby/vendor_ruby/cqmf2.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
ruby-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/ruby/vendor_ruby/qmfengine.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
ruby-qpid-qmf.x86_64: W: no-documentation
qpid-qmf.src: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
5 packages and 0 specfiles checked; 7 errors, 7 warnings.

Apart from /usr/lib/python2.7/site-packages/qpidtoollibs/disp.py, rest looks OK.


Rpmlint (installed packages)
----------------------------
# rpmlint ruby-qpid-qmf python-qpid-qmf qpid-qmf-devel qpid-qmf
ruby-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/ruby/vendor_ruby/cqpid.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
ruby-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/ruby/vendor_ruby/cqmf2.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
ruby-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/ruby/vendor_ruby/qmfengine.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
ruby-qpid-qmf.x86_64: W: no-documentation
python-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/_qmfengine.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
python-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/_cqmf2.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
python-qpid-qmf.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/_cqpid.so ['/builddir/build/BUILD/qpid-0.24/cpp/src']
python-qpid-qmf.x86_64: W: no-documentation
python-qpid-qmf.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/qpidtoollibs/disp.py 0644L /usr/bin/env
qpid-qmf-devel.x86_64: W: no-documentation
qpid-qmf-devel.x86_64: W: no-manual-page-for-binary qmf-gen
qpid-qmf.x86_64: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libqmfengine.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libboost_system-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libboost_program_options-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf.so.1.0.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libqpidclient.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libboost_system-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libboost_program_options-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmf2.so.1.0.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libqpidtypes.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libboost_system-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libboost_program_options-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfengine.so.1.1.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libqpidtypes.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libuuid.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libboost_system-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libboost_program_options-mt.so.1.53.0
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libdl.so.2
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/librt.so.1
qpid-qmf.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmfconsole.so.2.0.0 /lib64/libm.so.6
qpid-qmf.x86_64: W: no-manual-page-for-binary qmf-tool
4 packages and 0 specfiles checked; 7 errors, 34 warnings.
# echo 'rpmlint-done:'



Requires
--------
ruby-qpid-qmf (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_program_options-mt.so.1.53.0()(64bit)
    libboost_system-mt.so.1.53.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libqmf.so.1()(64bit)
    libqmf2.so.1()(64bit)
    libqmfconsole.so.2()(64bit)
    libqmfengine.so.1()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libruby.so.2.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    qpid-qmf(x86-64)
    rtld(GNU_HASH)

python-qpid-qmf (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_program_options-mt.so.1.53.0()(64bit)
    libboost_system-mt.so.1.53.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpython2.7.so.1.0()(64bit)
    libqmf.so.1()(64bit)
    libqmf2.so.1()(64bit)
    libqmfconsole.so.2()(64bit)
    libqmfengine.so.1()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    python(abi)
    qpid-qmf(x86-64)
    rtld(GNU_HASH)

qpid-qmf-devel (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/env
    /usr/bin/pkg-config
    libqmf.so.1()(64bit)
    libqmf2.so.1()(64bit)
    libqmfconsole.so.2()(64bit)
    libqmfengine.so.1()(64bit)
    python(abi)
    qpid-cpp-client-devel(x86-64)
    qpid-qmf(x86-64)

qpid-qmf (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/python
    libboost_program_options-mt.so.1.53.0()(64bit)
    libboost_system-mt.so.1.53.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqmfengine.so.1()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libuuid.so.1()(64bit)
    python-qpid
    qpid-cpp-client(x86-64)
    rtld(GNU_HASH)



Provides
--------
ruby-qpid-qmf:
    libcqmf2_ruby.so()(64bit)
    libcqpid_ruby.so()(64bit)
    libqmfengine_ruby.so()(64bit)
    ruby-qpid-qmf
    ruby-qpid-qmf(x86-64)

python-qpid-qmf:
    python-qpid-qmf
    python-qpid-qmf(x86-64)

qpid-qmf-devel:
    pkgconfig(qmf2)
    qpid-qmf-devel
    qpid-qmf-devel(x86-64)

qpid-qmf:
    libqmf.so.1()(64bit)
    libqmf2.so.1()(64bit)
    libqmfconsole.so.2()(64bit)
    libqmfengine.so.1()(64bit)
    qpid-qmf
    qpid-qmf(x86-64)



Unversioned so-files
--------------------
python-qpid-qmf: /usr/lib64/python2.7/site-packages/_cqmf2.so
python-qpid-qmf: /usr/lib64/python2.7/site-packages/_cqpid.so
python-qpid-qmf: /usr/lib64/python2.7/site-packages/_qmfengine.so
ruby-qpid-qmf: /usr/lib64/ruby/vendor_ruby/cqmf2.so
ruby-qpid-qmf: /usr/lib64/ruby/vendor_ruby/cqpid.so
ruby-qpid-qmf: /usr/lib64/ruby/vendor_ruby/qmfengine.so

That's OK.

Source checksums
----------------
http://www.apache.org/dist/qpid/0.24/qpid-0.24.tar.gz :
  CHECKSUM(SHA256) this package     : af62a8f551f3f9eb99d460f7fc417bba8d9900b9d6cf0902fc7e01a25d8c8fcd
  CHECKSUM(SHA256) upstream package : af62a8f551f3f9eb99d460f7fc417bba8d9900b9d6cf0902fc7e01a25d8c8fcd

In the spec, the part starting with 
"# removes private-shared-object-provides warning"
seems to duplicate %__provides_exclude_from.

Hm, package still doesn't seem to work:
With just qpid-qmf installed:
% /usr/bin/qmf-tool
Traceback (most recent call last):
  File "/usr/bin/qmf-tool", line 31, in <module>
    import cqpid
ImportError: No module named cqpid

Please also fix the shebang line on /usr/bin/qmf-gen.
Comment 10 Darryl L. Pierce 2013-10-30 10:27:27 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
<snip> 
> In the spec, the part starting with 
> "# removes private-shared-object-provides warning"
> seems to duplicate %__provides_exclude_from.

Removed it.

> Hm, package still doesn't seem to work:
> With just qpid-qmf installed:
> % /usr/bin/qmf-tool
> Traceback (most recent call last):
>   File "/usr/bin/qmf-tool", line 31, in <module>
>     import cqpid
> ImportError: No module named cqpid

Package dependency issue. I've added a dependy from qpid-qmf onto python-qpid-qmf which provides the swig bindings.

> Please also fix the shebang line on /usr/bin/qmf-gen.

What should be fixed? It's a standard shebang that uses /usr/bin/env to invoke python. There are 13 examples of such alone on my laptop now from standard packages, including gnome.

Updated spec:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf-0.24-14.fc19.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6116090
Comment 11 Zbigniew Jędrzejewski-Szmek 2013-10-30 11:21:34 EDT
(In reply to Darryl L. Pierce from comment #10)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
> > Please also fix the shebang line on /usr/bin/qmf-gen.
> 
> What should be fixed? It's a standard shebang that uses /usr/bin/env to
> invoke python. There are 13 examples of such alone on my laptop now from
> standard packages, including gnome.
It is considered good style, even if not offical.
I noticed because the package has a requirement on /usr/bin/env
but not /usr/bin/python. Things are just more robust this way,
e.g. the system python is used even if the user installs a private
version.

[1] https://fedoraproject.org/wiki/Script_Interpreters_%28draft%29

> Updated spec:  http://mcpierce.fedorapeople.org/rpms/qpid-qmf.spec
> Updated SRPM: 
> http://mcpierce.fedorapeople.org/rpms/qpid-qmf-0.24-14.fc19.src.rpm
> Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6116090
Let me look it over one more.
Comment 12 Zbigniew Jędrzejewski-Szmek 2013-10-30 11:43:51 EDT
All the major things seem to be fixed.

Package is APPROVED.

At your leisure, please consider:
1. removing "Fixed shebang in qmf-gen." from %changelog, or actually fixing it :)
2. moving "%global __provides_exclude_from" to the top of the spec file,
   and moving Patch0 after Source0.
Comment 13 Darryl L. Pierce 2013-10-30 14:18:30 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #12)
> All the major things seem to be fixed.
> 
> Package is APPROVED.
> 
> At your leisure, please consider:
> 1. removing "Fixed shebang in qmf-gen." from %changelog, or actually fixing
> it :)

Yeah, put that in before going to change it. I'll pull it out for now and add a change to my upstream release branch to fix the shebangs in all such scripts.

> 2. moving "%global __provides_exclude_from" to the top of the spec file,
>    and moving Patch0 after Source0.

Will do, and thank you for your patience. :D
Comment 14 Darryl L. Pierce 2013-10-30 14:20:14 EDT
New Package SCM Request
=======================
Package Name: qpid-qmf
Short Description: An extensible management framework layered on Qpid messaging.
Owners: mcpierce
Branches: f20
InitialCC:
Comment 15 Gwyn Ciesla 2013-10-30 14:26:45 EDT
Git done (by process-git-requests).
Comment 16 Darryl L. Pierce 2014-02-06 09:52:47 EST
New Package SCM Request
=======================
Package Name: qpid-qmf
Short Description: An extensible management framework layered on Qpid messaging.
Owners: mcpierce
Branches: epel7
InitialCC:
Comment 17 Gwyn Ciesla 2014-02-06 11:07:55 EST
If you want a branh added, use a Package Change request, not New Package.
Comment 18 Darryl L. Pierce 2014-02-06 15:18:33 EST
(In reply to Jon Ciesla from comment #17)
> If you want a branh added, use a Package Change request, not New Package.

Doh! Sorry, I c-n-p the request above. My bad.

Package Change Request
======================
Package Name: qpid-qmf
New Branches: epel7
Owners: mcpierce
InitialCC:
Comment 19 Gwyn Ciesla 2014-02-07 09:25:41 EST
Git done (by process-git-requests).
Comment 20 Darryl L. Pierce 2014-05-19 13:31:25 EDT
Package Change Request
======================
Package Name: qpid-qmf
New Branches: f19
Owners: mcpierce
InitialCC:
Comment 21 Gwyn Ciesla 2014-05-19 13:42:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.